Worlds
Get a generated world
Get a generated world.
GET
/
v1
/
worlds
/
{worldId}
Get a generated world
curl --request GET \
--url https://api.mint.gg/v1/worlds/{worldId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mint.gg/v1/worlds/{worldId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mint.gg/v1/worlds/{worldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<unknown>",
"id": "<string>",
"name": "<string>",
"status": "<string>",
"operation": {
"workflowStage": "<string>",
"lastError": "<string>"
},
"mintUrl": "<string>",
"assets": {
"caption": "<string>",
"colliderMeshUrl": "<string>",
"panoUrl": "<string>",
"previewImageUrl": "<string>",
"radUrl": "<string>",
"spzUrls": {},
"thumbnailUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}Authorizations
Mint API key sent as a Bearer token.
Path Parameters
Response
Generated world resource.
An account-owned Mint World.
Stable object discriminator.
Mint World ID.
World title shown in Mint.
Current World processing status.
Whether the available asset is a Preview or final World.
Available options:
preview, final, null Current workflow information for this World.
Show child attributes
Show child attributes
Human-facing link to open this World in Mint.
World download URLs, or null before files are available.
Show child attributes
Show child attributes
When the World was created.
When the World last changed.
⌘I
Get a generated world
